## qtcalculus 0.1-0maemo1

=== src/Makefile ===
#############################################################################
# Makefile for building: qtcalculus
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Sep 29 22:43:07 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		randomnumbers.cpp \
		dialogpreferences.cpp moc_mainwindow.cpp \
		moc_dialogpreferences.cpp
OBJECTS       = main.o \
		mainwindow.o \
		randomnumbers.o \
		dialogpreferences.o \
		moc_mainwindow.o \
		moc_dialogpreferences.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qtcalculus
DESTDIR       = 
TARGET        = qtcalculus

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	strip $(TARGET)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtcalculus1.0.0 || $(MKDIR) .tmp/qtcalculus1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtcalculus1.0.0/ && $(COPY_FILE) --parents mainwindow.h ui_mainwindow.h randomnumbers.h dialogpreferences.h ui_dialogpreferences.h .tmp/qtcalculus1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp randomnumbers.cpp dialogpreferences.cpp .tmp/qtcalculus1.0.0/ && (cd `dirname .tmp/qtcalculus1.0.0` && $(TAR) qtcalculus1.0.0.tar qtcalculus1.0.0 && $(COMPRESS) qtcalculus1.0.0.tar) && $(MOVE) `dirname .tmp/qtcalculus1.0.0`/qtcalculus1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtcalculus1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_dialogpreferences.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_dialogpreferences.cpp
moc_mainwindow.cpp: randomnumbers.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_dialogpreferences.cpp: dialogpreferences.h
	/usr/bin/moc $(DEFINES) $(INCPATH) dialogpreferences.h -o moc_dialogpreferences.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		randomnumbers.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		randomnumbers.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

randomnumbers.o: randomnumbers.cpp randomnumbers.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o randomnumbers.o randomnumbers.cpp

dialogpreferences.o: dialogpreferences.cpp dialogpreferences.h \
		ui_dialogpreferences.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogpreferences.o dialogpreferences.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_dialogpreferences.o: moc_dialogpreferences.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogpreferences.o moc_dialogpreferences.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
qtcalculus (0.1-0maemo1) fremantle; urgency=low

  * First version
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 27 Sep 2010 08:25:00 +0100

=== debian/control ===
Source: qtcalculus
Section: user/utilities
Priority: extra
Maintainer: David Galindo <nowheremanmail@gmail.com>
XSBC-Original-Maintainer: David Galindo <nowheremanmail@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-core(>=4.6.2~git20100401-0maemo1+0m5), libqt4-dev(>=4.6.2~git20100401-0maemo1+0m5), 
 libqt4-sql(>=4.6.2~git20100401-0maemo1+0m5), libqt4-translations(>=4.6.2~git20100401-0maemo1+0m5)
Standards-Version: 3.8.1
XSBC-Bugtracker: mailto:nowheremanmail@gmail.com
XB-Maemo-Display-Name: Calculus

 
    		 
Package: qtcalculus
Section: user/utilities
Architecture: armel 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Calculus, practice calcul for kids.

## qtcalculus 0.1-0maemo2

=== debian/changelog ===
qtcalculus (0.1-0maemo2) fremantle; urgency=low

  * First version
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 30 Sep 2010 16:25:00 +0100

## qtcalculus 0.1-0maemo3

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtcalculus
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Sep 29 22:43:07 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Sep 30 16:16:41 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -208,7 +208,8 @@
 
 mainwindow.o: mainwindow.cpp mainwindow.h \
 		randomnumbers.h \
-		ui_mainwindow.h
+		ui_mainwindow.h \
+		dialogpreferences.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp
 
 randomnumbers.o: randomnumbers.cpp randomnumbers.h
@@ -236,9 +237,49 @@
 	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 
 
 
-install:  install_target  FORCE
-
-uninstall: uninstall_target   FORCE
+install_desktop: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 
+	-$(INSTALL_FILE) /home/david/qtcalculus-0.1/src/qtcalculus.desktop $(INSTALL_ROOT)/usr/local/share/applications/hildon/
+
+
+uninstall_desktop:  FORCE
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/applications/hildon/qtcalculus.desktop
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 
+
+
+install_iconxpm: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/pixmap/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/pixmap/ 
+	-$(INSTALL_FILE) /home/david/qtcalculus-0.1/src/data/maemo/qtcalculus.xpm $(INSTALL_ROOT)/usr/local/share/pixmap/
+
+
+uninstall_iconxpm:  FORCE
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/pixmap/qtcalculus.xpm
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/pixmap/ 
+
+
+install_icon26: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ 
+	-$(INSTALL_FILE) /home/david/qtcalculus-0.1/src/data/26x26/qtcalculus.png $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/
+
+
+uninstall_icon26:  FORCE
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/qtcalculus.png
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ 
+
+
+install_icon64: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/ 
+	-$(INSTALL_FILE) /home/david/qtcalculus-0.1/src/data/64x64/qtcalculus.png $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/
+
+
+uninstall_icon64:  FORCE
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/qtcalculus.png
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/ 
+
+
+install:  install_target install_desktop install_iconxpm install_icon26 install_icon64  FORCE
+
+uninstall: uninstall_target uninstall_desktop uninstall_iconxpm uninstall_icon26 uninstall_icon64   FORCE
 
 FORCE:

=== debian/changelog ===
qtcalculus (0.1-0maemo3) fremantle; urgency=low

  * First version
  * Fix problem with initial settings
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 30 Sep 2010 23:00:00 +0100

=== debian/control ===
Source: qtcalculus
Section: user/education
Priority: extra
Maintainer: David Galindo <nowheremanmail@gmail.com>
XSBC-Original-Maintainer: David Galindo <nowheremanmail@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-core(>=4.6.2~git20100401-0maemo1+0m5), libqt4-dev(>=4.6.2~git20100401-0maemo1+0m5), 
 libqt4-sql(>=4.6.2~git20100401-0maemo1+0m5), libqt4-translations(>=4.6.2~git20100401-0maemo1+0m5)
Standards-Version: 3.8.1
XSBC-Bugtracker: mailto:nowheremanmail@gmail.com
XB-Maemo-Display-Name: Calculus
XB-Maemo-Upgrade-Description: Calculus, training for kids.
 + First version
 
    		 
Package: qtcalculus
Section: user/education
Architecture: armel 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Calculus, training for kids.
 * Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=qtCalculus&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAKT2lDQ1BQaG90
 b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
 i4AUkSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OI
 isr74Xuja9a89+bN/rXXPues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQu
 QIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgABeNMLCADATZvAMByH/w/qQplc
 AYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAtAGAnf+bT
 AICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJ
 V2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcq
 AAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wA
 AKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+5c+rcEAAAOF0ftH+LC+z
 GoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk5NhK
 xEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc
 5o9H/LcL//wd0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+
 3zUAsGo+AXuRLahdYwP2SycQWHTA4vcAAPK7b8HUKAgDgGiD4c93/+8//Ueg
 JQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzABhzBBdzBC/xgNoRC
 JMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgx
 UopUIFVIHfI9cgI5h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQ
 ZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+Q8cwwOgYBzPEbDAuxsNCsTgsCZNj
 y7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhMWE7YSKggHCQ0
 EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMy
 J7mQAkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPk
 G+Qh8lsKnWJAcaT4U+IoUspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2h
 tlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdpr+h0uhHdlR5Ol9BX0svpR+iX
 6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZD5lvVVgq
 tip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtV
 qp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gs
 IWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0
 TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllirSKtRq0frvTau7aedpr1F
 u1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79up+6Y
 nr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb
 8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN
 7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x1zLnm+eb15vft2BaeFostqi2uGVJ
 suRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lOk06rntZnw7Dxtsm2
 qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJ
 S4LLLpc+Lpsbxt3IveRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nyme
 WTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+BZ7XnIy9jL5FXrdewt6V3qvdh7xc+
 9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/0QCngCUBZwOJ
 gUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jO
 kc5pDoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE
 3ptnMU85ry1KNSo+qi5qPNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/8
 7fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIsOpZATIhOOJTwQRAqqBaMJfIT
 dyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5hCepkLxM
 DUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8e
 lQfJa7OQrAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zv
 n//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vt
 V5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1dT1gvWd+1YfqGnRs+FYmK
 rhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aXDm4N
 2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLd
 tWHX+G7R7ht7vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvtt
 Xa1ObXHtxwPSA/0HIw6217nU1R3SPVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG
 4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKaRptTmvtbYlu6T8w+
 0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7
 nLuarrlca7nuer21e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+
 cif9zsu72Xcn7q28T7xf9EDtQdlD3YfVP1v+3Njv3H9qwHeg89HcR/cGhYPP
 /pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i/suuFxYvfvjV
 69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98P
 T+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAGYktHRAD/AP8A/6C9
 p5MAAAAJcEhZcwAACxIAAAsSAdLdfvwAAAAHdElNRQfaCR4OCB1j5hzvAAAB
 yUlEQVRYw+2Yv0tCURTHP0/NQmkI+uVctAWBiw1GDkFhRFOBRNBW9AckUUFD
 S0tDTbUU2B71B4RTQ0tj4FKQhFTQUuHDHw2dByJPe5rP+zC/cOBy9N73feee
 +z3nPo0G4OQ80efz+9cL+XwQTevs8HjQc7mC2+3O6Nns0crC4i1ttGEOt03r
 uoBxIAp8AS/i14AgMA2MAZ/Am4oXTwNFsdUSf7jEb9ikCoJzQLcJwV5gRMZe
 IAmkqi3ksYngZQX/qxiADjwBgyoIWkEIiAHzKg9h+RYbmJDfdlSrhBnBWfFv
 W1nAri1eFqkxoqUBF0APcAXcS/6tidScqZQZw8IVZOa5XY5aFUuSq7af0mgd
 82IyN22lqDcbw8AhcGq16/grCrU24NLRfNilg8kyYvtAXMZx4KbK3D1pDh6s
 BqeZWzwEbAIJ0cOAdDQhuw/JjMX/RkxE2jBbI2h1jWspeYYdSLnTnHaKDXQp
 fv4/gWaS9LoDeHl/y82WvxdXe14EmJLLUsppAYmW6d+W0wgOAP0y3gCyqu4k
 lZApGQeAY6fm/q5UFseiqPijgSWCjpQZA4/AXUtEsI1GNwvl8AGjdW6JVuM8
 Fz/fbN5Lnd9OE2rljfvuhQAAAABJRU5ErkJggg==

## qtcalculus 0.2-0maemo1

=== debian/changelog ===
qtcalculus (0.2-0maemo1) fremantle; urgency=low

  * Added some images
  * Reset statistics after change options
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 4 Oct 2010 23:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
 Standards-Version: 3.8.1
 XSBC-Bugtracker: mailto:nowheremanmail@gmail.com
 XB-Maemo-Display-Name: Calculus
-XB-Maemo-Upgrade-Description: Calculus, training for kids.
- + First version
+XB-Maemo-Upgrade-Description: Calculus, mathematics training for kids.
+  * Added some images
+  * Reset statistics after change options
  
     		 
 Package: qtcalculus
 Section: user/education
 Architecture: armel 
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Calculus, training for kids.
+Description: Calculus, mathematics training for kids.
  * Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=qtCalculus&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAKT2lDQ1BQaG90

## qtcalculus 0.3-0maemo1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtcalculus
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Sep 30 16:16:41 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Oct 4 21:25:06 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I.
+INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I.
 LINK          = g++
 LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -47,13 +47,15 @@
 		mainwindow.cpp \
 		randomnumbers.cpp \
 		dialogpreferences.cpp moc_mainwindow.cpp \
-		moc_dialogpreferences.cpp
+		moc_dialogpreferences.cpp \
+		qrc_resources.cpp
 OBJECTS       = main.o \
 		mainwindow.o \
 		randomnumbers.o \
 		dialogpreferences.o \
 		moc_mainwindow.o \
-		moc_dialogpreferences.o
+		moc_dialogpreferences.o \
+		qrc_resources.o
 DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
@@ -66,8 +68,10 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
-		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
@@ -118,15 +122,19 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
-		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/libQtDBus.prl \
+		/usr/lib/libQtXml.prl \
+		/usr/lib/libQtCore.prl \
+		/usr/lib/libQtGui.prl
 	$(QMAKE) -unix -o Makefile src.pro
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
@@ -140,21 +148,25 @@
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
+/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
+/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
+/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
-/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
+/usr/lib/libQtDBus.prl:
+/usr/lib/libQtXml.prl:
+/usr/lib/libQtCore.prl:
 /usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtcalculus1.0.0 || $(MKDIR) .tmp/qtcalculus1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtcalculus1.0.0/ && $(COPY_FILE) --parents mainwindow.h ui_mainwindow.h randomnumbers.h dialogpreferences.h ui_dialogpreferences.h .tmp/qtcalculus1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp randomnumbers.cpp dialogpreferences.cpp .tmp/qtcalculus1.0.0/ && (cd `dirname .tmp/qtcalculus1.0.0` && $(TAR) qtcalculus1.0.0.tar qtcalculus1.0.0 && $(COMPRESS) qtcalculus1.0.0.tar) && $(MOVE) `dirname .tmp/qtcalculus1.0.0`/qtcalculus1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtcalculus1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtcalculus1.0.0/ && $(COPY_FILE) --parents mainwindow.h ui_mainwindow.h randomnumbers.h dialogpreferences.h ui_dialogpreferences.h .tmp/qtcalculus1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtcalculus1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp randomnumbers.cpp dialogpreferences.cpp .tmp/qtcalculus1.0.0/ && (cd `dirname .tmp/qtcalculus1.0.0` && $(TAR) qtcalculus1.0.0.tar qtcalculus1.0.0 && $(COMPRESS) qtcalculus1.0.0.tar) && $(MOVE) `dirname .tmp/qtcalculus1.0.0`/qtcalculus1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtcalculus1.0.0
 
 
 clean:compiler_clean 
@@ -183,13 +195,31 @@
 moc_dialogpreferences.cpp: dialogpreferences.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) dialogpreferences.h -o moc_dialogpreferences.cpp
 
-compiler_rcc_make_all:
+compiler_dbus_interface_source_make_all:
+compiler_dbus_interface_source_clean:
+compiler_dbus_adaptor_source_make_all:
+compiler_dbus_adaptor_source_clean:
+compiler_rcc_make_all: qrc_resources.cpp
 compiler_rcc_clean:
+	-$(DEL_FILE) qrc_resources.cpp
+qrc_resources.cpp: resources.qrc \
+		resources/bad.png \
+		resources/good.png
+	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp
+
 compiler_image_collection_make_all: qmake_image_collection.cpp
 compiler_image_collection_clean:
 	-$(DEL_FILE) qmake_image_collection.cpp
 compiler_moc_source_make_all:
 compiler_moc_source_clean:
+compiler_dbus_interface_header_make_all:
+compiler_dbus_interface_header_clean:
+compiler_dbus_interface_moc_make_all:
+compiler_dbus_interface_moc_clean:
+compiler_dbus_adaptor_header_make_all:
+compiler_dbus_adaptor_header_clean:
+compiler_dbus_adaptor_moc_make_all:
+compiler_dbus_adaptor_moc_clean:
 compiler_uic_make_all:
 compiler_uic_clean:
 compiler_yacc_decl_make_all:
@@ -198,7 +228,7 @@
 compiler_yacc_impl_clean:
 compiler_lex_make_all:
 compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean 
+compiler_clean: compiler_moc_header_clean compiler_rcc_clean 
 
 ####### Compile
 
@@ -225,6 +255,9 @@
 moc_dialogpreferences.o: moc_dialogpreferences.cpp 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogpreferences.o moc_dialogpreferences.cpp
 
+qrc_resources.o: qrc_resources.cpp 
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp
+
 ####### Install
 
 install_target: first FORCE
@@ -253,33 +286,3 @@
 
 
 uninstall_iconxpm:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/pixmap/qtcalculus.xpm
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/pixmap/ 
-
-
-install_icon26: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ 
-	-$(INSTALL_FILE) /home/david/qtcalculus-0.1/src/data/26x26/qtcalculus.png $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/
-
-
-uninstall_icon26:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/qtcalculus.png
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/26x26/apps/ 
-
-
-install_icon64: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/ 
-	-$(INSTALL_FILE) /home/david/qtcalculus-0.1/src/data/64x64/qtcalculus.png $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/
-
-
-uninstall_icon64:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/qtcalculus.png
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/icons/hicolor/64x64/apps/ 
-
-
-install:  install_target install_desktop install_iconxpm install_icon26 install_icon64  FORCE
-
-uninstall: uninstall_target uninstall_desktop uninstall_iconxpm uninstall_icon26 uninstall_icon64   FORCE
-
-FORCE:
-

=== debian/changelog ===
qtcalculus (0.3-0maemo1) fremantle; urgency=low

  * Added some images
  * Reset statistics after change options
  * Some improvements getting next operation
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 8 Feb 2011 21:41:00 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: armel 
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Calculus, mathematics training for kids.
- * Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=qtCalculus&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
+  * Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=qtCalculus&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAKT2lDQ1BQaG90
  b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
APPNAME := qtcalculus
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=qtcalculus
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	#maemo-optify 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qtcalculus 0.4-0maemo1

=== Makefile ===
#############################################################################
# Makefile for building: qtcalculus
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Sep 28 19:56:29 2010
# Project:  qtcalculus.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile qtcalculus.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/david/qtcalculus-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/david/qtcalculus-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qtcalculus.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile qtcalculus.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile qtcalculus.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
qtcalculus (0.4-0maemo1) fremantle; urgency=low

  * Added some images
  * Reset statistics after change options
  * Some improvements getting next operation
  * Support for rotation
  * Show answer after 2 failures
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 19 Feb 2011 19:41:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,9 @@
 XB-Maemo-Upgrade-Description: Calculus, mathematics training for kids.
   * Added some images
   * Reset statistics after change options
+  * Some improvements getting next operation
+  * Support for rotation
+  * Show answer after 2 failures
  
     		 
 Package: qtcalculus
